Subject: bug#31994: closed (Re: bug#31994: Support for WinRe partition)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 31 Jan 2019 19:33:02 +0000

Your bug report

#31994: Support for WinRe partition

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31994: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31994
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31994: Support for WinRe partition
From: "Brian C. Lane" <[email-masked]>
To: Hans-Joachim Baader <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 Jan 2019 11:32:01 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jul 19, 2018 at 03:33:21PM -0700, Brian C. Lane wrote:
> On Thu, Jun 28, 2018 at 10:36:45AM +0000, Hans-Joachim Baader wrote:
> > Hello maintainers,
> > 
> > Windows 10 uses a recovery partition which is sometimes marked with
> > partition type 0x27 on MBR systems. I don't know why some vendors
> > use MBR rather than GPT, but it's a fact.

I've applied the msftres on msdos patch to master, thanks! I left out
the debian specific patch for now, it doesn't seem to be necessary in my
builds using gcc 9.0.1 on Fedora rawhide.

-- 
Brian C. Lane (PST8PDT)

Subject: Support for WinRe partition
From: Hans-Joachim Baader <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 28 Jun 2018 10:36:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello maintainers,

Windows 10 uses a recovery partition which is sometimes marked with
partition type 0x27 on MBR systems. I don't know why some vendors
use MBR rather than GPT, but it's a fact.

0x27 is in fact defined as Windows RE hidden partition (see
https://www.win.tue.nl/~aeb/partitions/partition_types-1.html).

I haven't found a way to create a partition with this ID in parted. I used
parted 3.2 which is 4 years old but I don't think is has been changed
in Git. For example when I create a NTFS partition and do

set 3 hidden on

I get ID 0x17. Perhaps a new flag is needed, e.g.

set 3 winre on

Do you think that parted should support that? Perhaps I could contribute
a patch if it's not supported yet.

Best regards,
Hans-Joachim Baader